MAKEDEV(8)

NAME
MAKEDEV - create and maintain filesystem device entries

SYNOPSIS
MAKEDEV [ -vcdnhV ] device or device-group name(s)

DESCRIPTION
MAKEDEV is used to maintain the special filesystem entries found in /dev. It creates, or optionally removes, one or more device entries. The names and device numbers are defined in the devinfo file (q.v.); site-specific configuration is found in the file makedev.cfg. MAKEDEV itself has no knowledge of device information.

OPTIONS

-v  Verbose mode; print out exactly what's being done.

-c  Create; create the specified devices. [default]

-d  Delete; remove the specified devices instead of creating them.

-n  Do nothing; only print what would be done. Implies -v as well.

-h  Print a usage message.

-V  Print the version string.

-I  Create the device in current directory (default is /dev).

The following targets are special:

update
    Run MAKEDEV in update mode. This reads the list of devices currently available from /proc/devices, and updates all entries in /dev to match the device numbers found there.

local
    Run MAKEDEV to create local devices. This option is obsolete and just prints a warning message. Use devinfo.local and makedev.cfg to achieve the same results.

FILES

/etc/devinfo
    Device information

/usr/local/etc/devinfo.local
    Local device information

/etc/devinfo.local
    Alternate localtion for local device information

/etc/makedev.cfg
    Configuration file

MAKEDEV.cache
    Cached data for `update'

/proc/devices
    The kernel's list of current devices

AUTHOR
David A. Holland (dholland@husc.harvard.edu)
Based on the older MAKEDEV shell script written by Nick Holloway. Additional ideas were contributed by Rik Faith.

NOTES
The LALR(1) parser generator used to build makedev.c from makedev.syn is a commercial product. You won't be able to do a complete rebuild unless you have it.

SEE ALSO
devinfo(5), makedev.cfg(5)